Subject: bug#53225: closed (Re: bug#58926: Shepherd becomes unresponsive after an interrupt)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 17 Nov 2022 10:24:03 +0000

Your bug report

#53225: shepherd freezes if wireguard is started with dns config enabled

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53225: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=53225
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#58926: Shepherd becomes unresponsive after an interrupt
From: Ludovic Courtès <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 17 Nov 2022 11:23:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Ludovic Courtès <[email-masked]> skribis:

> Mathieu Othacehe <[email-masked]> skribis:
>
>> 1. On my laptop with a Wireguard service trying to reach a non-existing
>> DNS server.
>>
>>             (service wireguard-service-type
>>                      (wireguard-configuration
>>                       (addresses (list "10.0.0.2/24"))
>>                       (dns '("10.0.0.50")) #does not exit
>
> This one is similar to:
>
>   https://issues.guix.gnu.org/53225
>   https://issues.guix.gnu.org/53381
>
> It has to do with the fact that “wg-quick up” blocks until it succeeds
> and that ‘invoke’ gets stuck on ‘waitpid’ until the “wg-quick” process
> terminates.
>
> The solution will be to use something non-blocking instead of ‘invoke’;
> I’m looking into it.

This is fixed in the Shepherd 0.9.3, which landed in Guix commit
283d7318c5b312d7129adb6dbeea6ad205ce89d1.

As I wrote, I’m not sure whether it fixes the nginx situation since I
could not reproduce it.  I’m closing and let’s open a new issue
specifically for nginx if it comes up again with 0.9.3.

Thanks,
Ludo’.

Subject: shepherd freezes if wireguard is started with dns config enabled
From: Nathan Dehnel <[email-masked]>
To: Tobias Geerinckx-Rice via Bug reports for GNU Guix <[email-masked]>
Date: Wed, 12 Jan 2022 18:27:24 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

When dns is specified, wireguard runs wg-quick, which runs resolvconf,
which runs /run/current-system/profile/bin/herd restart, which causes
shepherd to freeze because I guess it doesn't like being given
multiple start commands at once. I'm not sure how to fix it.